{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 24,
   "id": "initial_id",
   "metadata": {
    "collapsed": true,
    "ExecuteTime": {
     "end_time": "2024-06-11T06:48:54.873304Z",
     "start_time": "2024-06-11T06:48:54.842415500Z"
    }
   },
   "outputs": [],
   "source": [
    "import pandas as pd\n",
    "pv_df = pd.read_csv('data/PV.csv', sep=';')\n",
    "temperature_df = pd.read_csv('data/temper.csv', sep=',')\n",
    "\n",
    "pv_data = pv_df['P_PV_'].apply(lambda x: x.replace(',', '.')).to_numpy(dtype=float)\n",
    "temper = temperature_df['t2m'].to_numpy(dtype=float)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 25,
   "outputs": [
    {
     "data": {
      "text/plain": "array([0., 0., 0., ..., 0., 0., 0.])"
     },
     "execution_count": 25,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "pv_data"
   ],
   "metadata": {
    "collapsed": false,
    "ExecuteTime": {
     "end_time": "2024-06-11T06:48:54.881858Z",
     "start_time": "2024-06-11T06:48:54.867302600Z"
    }
   },
   "id": "d37d5b6cd5cb7387"
  },
  {
   "cell_type": "code",
   "execution_count": 26,
   "outputs": [
    {
     "data": {
      "text/plain": "array([-3.2424931, -3.4571036, -3.5921883, ...,  3.2034465,  1.3242432,\n        0.3394317])"
     },
     "execution_count": 26,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "temper -= 273.15\n",
    "temper"
   ],
   "metadata": {
    "collapsed": false,
    "ExecuteTime": {
     "end_time": "2024-06-11T06:48:54.906957500Z",
     "start_time": "2024-06-11T06:48:54.880858700Z"
    }
   },
   "id": "3ef2774e5245627"
  },
  {
   "cell_type": "code",
   "execution_count": 26,
   "outputs": [],
   "source": [],
   "metadata": {
    "collapsed": false,
    "ExecuteTime": {
     "end_time": "2024-06-11T06:48:54.915543800Z",
     "start_time": "2024-06-11T06:48:54.896403Z"
    }
   },
   "id": "33f9458d47973337"
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 2
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython2",
   "version": "2.7.6"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
